Bug 488 - Implement "case" special form
Summary: Implement "case" special form
Status: RESOLVED FIXED
Alias: None
Product: UIM
Classification: Unclassified
Component: libuim: Scheme interpreter (show other bugs)
Version: unspecified
Hardware: All All
: low enhancement
Assignee: YamaKen
QA Contact:
URL: http://lists.sourceforge.jp/mailman/a...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-17 08:19 UTC by YamaKen
Modified: 2004-09-20 00:18 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description YamaKen 2004-04-17 08:19:44 UTC
Siod is not supporting "case" special form. The form is comfortably utilizable
for writing IM codes, so implementing this is a good investment.
Comment 1 YamaKen 2004-09-20 16:38:58 UTC
The feature had been implemented by Jun Inoue. The contributed patch had already
been merged into the repository by r1168.

This bug is still remaining opened since minor issue about 'else' handling need
little modification.
Comment 2 YamaKen 2004-09-20 17:18:41 UTC
The 'else' issue has been fixed.

r1248 | yamaken | 2004-09-21 09:16:54 +0900 (Tue, 21 Sep 2004) | 10 lines

* scm/util.scm
  - (else): Move into slib.c
* uim/slib.c
  - (sym_else): New static variable
  - (init_storage_1): Add initialization of sym_else
  - (leval_case): Clean up using sym_else


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.